/*
 *  Entangle: Entangle Assists Photograph Aquisition
 *
 *  Copyright (C) 2009 Daniel P. Berrange
 *
 *  This program is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *
 */

#ifndef __ENTANGLE_PARAMS_H__
#define __ENTANGLE_PARAMS_H__

#include <gphoto2.h>

typedef struct _EntangleParams EntangleParams;

struct _EntangleParams {
    GPContext *ctx;
    CameraAbilitiesList *caps;
    GPPortInfoList *ports;
};


EntangleParams *entangle_params_new(void);

void entangle_params_free(EntangleParams *params);

void entangle_params_refresh(EntangleParams *params);


#endif /* __ENTANGLE_PARAMS_H__ */

/*
 * Local variables:
 *  c-indent-level: 4
 *  c-basic-offset: 4
 *  indent-tabs-mode: nil
 *  tab-width: 8
 * End:
 */
